Package org.eclipse.birt.report.model.api.extension

# Class ChoiceDefinition

java.lang.Object
org.eclipse.birt.report.model.api.extension.ChoiceDefinition

All Implemented Interfaces:
  `IChoiceDefinition`

public abstract class ChoiceDefinition extends Object implements IChoiceDefinition
Adapter class for the IChoiceDefinition class.

## Constructor Summary

Constructors
Constructor
Description
`ChoiceDefinition()`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`getDisplayNameID()`
Returns the resource key for localized display name of this choice.
`abstract String`
`getName()`
Returns the non-localized, internal version of the choice.
`Object`
`getValue()`
Returns the value to which this choice corresponds.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChoiceDefinition

public ChoiceDefinition()

## Method Details

### getDisplayNameID

public abstract String getDisplayNameID()
Description copied from interface: `IChoiceDefinition`
Returns the resource key for localized display name of this choice.

Specified by:
  `getDisplayNameID` in interface `IChoiceDefinition`
Returns:
  the resource key for localized display name of this choice.

### getName

public abstract String getName()
Description copied from interface: `IChoiceDefinition`
Returns the non-localized, internal version of the choice.

Specified by:
  `getName` in interface `IChoiceDefinition`
Returns:
  the non-localized internal choice value

### getValue

public Object getValue()
Description copied from interface: `IChoiceDefinition`
Returns the value to which this choice corresponds. For example, a color may have a name and a value that is an RGB value. The value is optional.

Specified by:
  `getValue` in interface `IChoiceDefinition`
Returns:
  the value that this choice represents